> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crazyrouter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Quick Start Guide

> Make your first API call in 5 minutes

> Last updated: 2026-06-16

## Step 1: Get Your API Key

1. Visit [Crazyrouter](https://crazyrouter.com) and create an account
2. After signing in, go to the [Token Management](https://crazyrouter.com/console/token) page
3. Click "Create Token" to generate an API Key

## Step 2: Make a Request

<Note>
  Use `https://api.crazyrouter.com/v1` as the default international access address. For East Asia, prefer `https://cn.crazyrouter.com/v1`. If you are unsure whether a tool should use the root domain or `/v1`, check [API Endpoints](https://docs.crazyrouter.com/en/api-endpoint) first.
</Note>

<CodeGroup>
  ```bash cURL theme={null}
  curl https://api.crazyrouter.com/v1/chat/completions \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -d '{
      "model": "gpt-5.5",
      "messages": [
        {"role": "user", "content": "Hello"}
      ]
    }'
  ```

  ```python Python theme={null}
  from openai import OpenAI

  client = OpenAI(
      api_key="YOUR_API_KEY",
      base_url="https://api.crazyrouter.com/v1"
  )

  response = client.chat.completions.create(
      model="gpt-5.5",
      messages=[{"role": "user", "content": "Hello"}]
  )
  print(response.choices[0].message.content)
  ```

  ```javascript Node.js theme={null}
  import OpenAI from 'openai';

  const client = new OpenAI({
    apiKey: 'YOUR_API_KEY',
    baseURL: 'https://api.crazyrouter.com/v1'
  });

  const response = await client.chat.completions.create({
    model: 'gpt-5.5',
    messages: [{ role: 'user', content: 'Hello' }]
  });
  console.log(response.choices[0].message.content);
  ```
</CodeGroup>

## Step 3: View the Response

Example of a successful response:

```json theme={null}
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1677652288,
  "choices": [{
    "index": 0,
    "message": {
      "role": "assistant",
      "content": "Hello! How can I help you today?"
    },
    "finish_reason": "stop"
  }],
  "usage": {
    "prompt_tokens": 9,
    "completion_tokens": 12,
    "total_tokens": 21
  }
}
```

<Note>
  The `gpt-5.5` example on this quickstart page has been updated to the 2026-06-06 documentation baseline.
</Note>

<Note>
  All OpenAI-compatible clients and frameworks (such as LangChain, LlamaIndex, Cursor, etc.) can be integrated by simply changing the `base_url` and `api_key`.
</Note>
